package com.lightinit.hsdataplatformresdir.model;

/**
 * Created by WangYao on 2018/5/21.
 */
public class BaseResultState<T>
{
    public BaseResultState()
    {
        stateCode = ResultStateCode.SUCCESS;
    }

    protected int stateCode;
    protected String msg;

    protected T data ;

    public int getStateCode() {
        return stateCode;
    }

    public void setStateCode(int stateCode) {
        this.stateCode = stateCode;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
